
%global meadversion 0.0.1
%global namedversion 0.0.1.Alpha3-redhat-5
%global meadalpha .Alpha3_redhat_5
%global meadrel .1
%global serial 8


%define rpm_version %(echo %{maven_version} | tr - _)
%define jarname tomcat7-storeconfig-%{maven_version}.jar
%define javadocname tomcat7-storeconfig-%{maven_version}-javadoc.jar
%define tomcatdir %{_javadir}/tomcat7
%define with_signing 0
%bcond_without mead

%define maven_version 0.0.1.Alpha3-redhat-5

Name:	storeconfig-tc7
Epoch:	0
Version: 0.0.1
Release: 7.Alpha3_redhat_12.5%{?dist}

Summary: Tomcat7 module that persists server configuration

Group: Networking/Daemons		

%if %with mead
Source100: tomcat7-storeconfig-0.0.1.Alpha3-redhat-5-scm-sources.zip
Source101: tomcat7-storeconfig-0.0.1.Alpha3-redhat-5-patches.zip
Source102: tomcat7-storeconfig-0.0.1.Alpha3-redhat-5-javadoc.jar
Source103: tomcat7-storeconfig-0.0.1.Alpha3-redhat-5.jar
Source104: tomcat7-storeconfig-0.0.1.Alpha3-redhat-5.pom
%endif

License: ASL 2.0
URL: http://tomcat.apache.org  

BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
BuildArch: noarch

Requires: tomcat7 
Requires: tomcat7-servlet-3.0-api
Requires: tomcat7-lib
Requires: tomcat7-el-2.2-api
Requires: tomcat7-jsp-2.2-api

%description 
A module for persisting Tomcat7 configuration

%prep

%build

%install
%{__install} -d -m 0755 %{buildroot}%{tomcatdir}
# %{__install} -d -m 0664 %{buildroot}%{_javadocdir}/%{name}-%{maven_version}
%{__install} -p %{_sourcedir}/%{jarname} %{buildroot}%{tomcatdir}
%{__install} -p %{_sourcedir}/%{javadocname} %{buildroot}%{tomcatdir}

%files
%defattr(0644,root,root,0775)
%{tomcatdir}/%{jarname}
%{tomcatdir}/%{javadocname}
# %{_javadocdir}/%{name}-%{maven_version}/%{javadocname}

%doc

%changelog
* Thu Jul 3 2014 <dknox@redhat.com> 0:7.0.0.1.Alpha3_redhat_12.5
- Related: rbhz 956509 patches

* Thu Jun 26 2014 <dknox@redhat.com> 0:7.0.0.1.Alpha3_redhat_12.4
- Resolves: rhbz 956509 server.xml not correctly stored.

* Thu Jun 26 2014 <dknox@redhat.com> 0:7.0.0.1.Alpha3_redhat_12.2
- Resolves: rhbz 956509 server.xml not correctly stored.

* Wed Jun 25 2014 <dknox@redhat.com> 0:7.0.0.1.Alpha3_redhat_12.1
- Correct name-version-release structure and data to 
- match other mead builds

* Wed Jun 18 2014 <dcheung@redhat.com> 0:0.0.1.Alpha3-3
- Move the javadoc jar to the same directory as the main jar

* Wed May 28 2014 <dknox@redhat.com> 0:0.0.1.Alpha3-2
- Update elspec to 2.2

* Tue Oct 8 2013 <dknox@redhat.com> 0:0.0.1.Alpha3-1
- Updated source to Alpha3 revision 1530318

* Tue Sep 17 2013 <dknox@redhat.com> 0:0.0.1.Alpha1-6
- Resolves: Child attributes are being written correctly.
- Now writes a valid server.xml. Added soTimeout to
- connector transient attributes.

* Tue Sep 03 2013 <dknox@redhat.com> 0:0.0.1.Alpha1-5
- Child attributes are not being written. rhbz

* Wed Jun 26 2013 <dknox@redhat.com> 0:0.0.1.Alpha1-2
- rpmwrapper working. adding javadoc to the bundle

* Tue Jun 25 2013 <dknox@redhat.com> 0:0.0.1.Alpha1-1
- WIP rpmwrapper fails

* Tue May 7 2013 <dknox@redhat.com> 0:0.1.Alpha1-1
- First checkin rhbz#956509 Adding storeconfig to
- ews 2.0.1
